#ifndef WE_FILE_HANDLING_INTERFACE_H_
#define WE_FILE_HANDLING_INTERFACE_H_

namespace WE
{

// This interface is exclusively used by 'class ProjectVariableManager' which is also the only class calling methods of 'WEFileHandling'

class WEFileHandlingInterface
{
public:
	WEFileHandlingInterface() = default;
	virtual ~WEFileHandlingInterface() = default;

	virtual void currentPercentageDone(unsigned int p_percent) = 0;
	virtual void copyEnds(int p_error) = 0;
};
}

#endif
