#ifndef SOCKETHANDLER_H
#define SOCKETHANDLER_H

#include <QObject>

class SocketHandler : public QObject
{
	Q_OBJECT
public:
	explicit SocketHandler(int hwdSocket, int pclSocket, QObject *parent = nullptr);

signals:
	void usbMountStateChanged(bool);
	void secondsChanged(int);
	void pageTimeChanged(int);
	void usbMountPathChanged(QString);
public slots:
	void socketReadable(int socket);
	void setMountState(bool state);
private:
	int hwdSocket;
	int pclSocket;
};

#endif // SOCKETHANDLER_H
