/**
 *	@file definitions.h
 *
 *	@author dsterzel@topcon.com
 *	@author Dirk Sterzel
 *
 *	@copyright ( c ) Topcon Electronics GmbH & Co. KG 2016
 *
 *	@brief Just some definitions of variable indices and subindices
 *
 */

#ifndef SRC_HARDWARE_SUNRISE_HARDWARE_LIB_SRC_INCLUDE_DEFINITIONS_H_
#define SRC_HARDWARE_SUNRISE_HARDWARE_LIB_SRC_INCLUDE_DEFINITIONS_H_


static const unsigned short INDEX_TERMINAL_HARDWARE	= 0x2000;
static const unsigned short SUBINDEX_SERIAL_NUMBER	= 0x06;

static const unsigned short INDEX_SENSORS		= 0x2050;
static const unsigned short SUBINDEX_TEMP		= 0x01;
static const unsigned short SUBINDEX_ALIGHT		= 0x03;
static const unsigned short SUBINDEX_SVOLTAGE		= 0x05;

static const unsigned short INDEX_DISPLAY_BACKLIGHT	= 0x20b0;
static const unsigned short SUBINDEX_DBACKLIGHT		= 0x01;
static const unsigned short SUBINDEX_MIN_DBL		= 0x013;

static const unsigned short INDEX_DI			= 0x2080;
static const unsigned short SUBINDEX_DI1		= 0x02;
static const unsigned short SUBINDEX_DI2		= 0x03;
static const unsigned short SUBINDEX_DI3		= 0x04;
static const unsigned short SUBINDEX_DI4		= 0x05;

static const unsigned short INDEX_DO			= 0x20a0;
static const unsigned short SUBINDEX_DO1		= 0x01;
static const unsigned short SUBINDEX_DO2		= 0x02;
static const unsigned short SUBINDEX_DO3		= 0x03;



#endif /* SRC_HARDWARE_SUNRISE_HARDWARE_LIB_SRC_INCLUDE_DEFINITIONS_H_ */
