/*
 * windows_specific_pipe_settings.h
 *
 *  Created on: 23.11.2012
 *      Author: dsl
 */

#ifndef WINDOWS_SPECIFIC_PIPE_SETTINGS_H_
#define WINDOWS_SPECIFIC_PIPE_SETTINGS_H_

#include <windows.h>
#include "../include/platform_specific_settings.h"

namespace WE {

class PlatformSpecificPipeSettingsWindows : public PlatformSpecificPipeSettings
{
public:
	PlatformSpecificPipeSettingsWindows() = default;
	HANDLE writeHandle;
	HANDLE readHandle;
};

}  // namespace WE

#endif /* WINDOWS_SPECIFIC_PIPE_SETTINGS_H_ */
