/**
 *	@file we_signal_handler.h
 *
 *	@author dsl@wachendorff.de
 *	@author Dirk Sterzel
 *
 *	@copyright ( c ) Topcon Electronics GmbH & Co. KG 2011
 */


#ifndef WE_SIGNAL_HANDLER_H_
#define WE_SIGNAL_HANDLER_H_

namespace WE {

class WESignalHandler
{
public:
	WESignalHandler() = delete;
	~WESignalHandler() = delete;
	static void installEmptySignalHandler(int p_signal);
private:
	static void sigHandler (int p_sig);
};
}  // namespace WE


#endif /* WE_SIGNAL_HANDLER_H_ */
