#include "mainwindow.h"
#include "ui_mainwindow.h"

MainWindow::MainWindow(QWidget *parent) :
	QMainWindow(parent),
	ui(new Ui::MainWindow)
{
	ui->setupUi(this);
}

MainWindow::~MainWindow()
{
	delete ui;
}

QLCDNumber * MainWindow::getSecondsWidget(void)
{
	return this->ui->lcdNumberSeconds;
}

QLCDNumber * MainWindow::getPageTimeWidget(void)
{
	return this->ui->lcdNumberTimePage;
}


QCheckBox * MainWindow::getMountCheckbox(void)
{
	return this->ui->checkBoxMounted;
}

QLabel * MainWindow::getMountLabel(void)
{
	return this->ui->labelMountPath;
}

void MainWindow::on_actionQuit_triggered()
{
    QApplication::quit();
}
